# Description
This tool "traduit" (french for translate) data formats. It was made in the hope to bring serde to the cli (serdi ^^). But that not exaclty what serde is about and I have no affiliation with them so I did not want to namesquat.

# Installation
First install [the rust toolchain](https://www.rust-lang.org/tools/install) and then execute the following command:
```sh
cargo install tradaf
```

# Usage example
Prettify (or minify) some data format for ease of reading (resp: compact and have less data to save/transfert)
```sh
tradaf json json --pretty < simple.json 
```

Litterally transcode between data formats
```sh
tradaf ron yaml < examples/standard.ron
```

Transcode into JSON so we can use `jq`, do some transformations and then transcode again into another format for viewing
```sh
tradaf RON json < examples/gameConfig.ron | jq .key_bindings | tradaf Json yaml
```
